Loading...
Searching...
No Matches
transform3d Class Reference

`#include <openbabel/math/transform3d.h>`

Inheritance diagram for transform3d:
[legend]

## Public Member Functions

| transform3d (void)
| transform3d (const matrix3x3 &m, const vector3 &v)
| transform3d (double s)
| transform3d (vector3 row1, vector3 row2, vector3 row3, vector3 translation)
| transform3d (double d[3][3], double t[3])
vector3 | operator* (const vector3 &) const
transform3d | operator* (const transform3d &) const
std::string | DescribeAsString () const
std::string | DescribeAsValues () const
void | Normalize ()

## Private Member Functions

void | Set (const double inX, const double inY, const double inZ)
void | Set (const double *c)
void | Get (double *c)
vector3 & | operator*= (const double &c)
vector3 & | operator*= (const matrix3x3 &)
vector3 & | operator/= (const double &c)

## Detailed Description

Handle 3D transformations, such as space group definitions.

Since
  version 2.2

See also
  SpaceGroup

## Constructor & Destructor Documentation

## transform3d() [1/5]

transform3d | ( | void |  | ) |

inline

Referenced by operator*().

## transform3d() [2/5]

transform3d | ( | const matrix3x3 & | m,
|  | const vector3 & | v )

inline

## transform3d() [3/5]

transform3d | ( | double | s | ) |

inline

## transform3d() [4/5]

transform3d | ( | vector3 | row1,
|  | vector3 | row2,
|  | vector3 | row3,
|  | vector3 | translation )

inline

Constructs a matrix from row vectors.

## transform3d() [5/5]

transform3d | ( | double | d[3][3],
|  | double | t[3] )

inline

Constructs a matrix from a 3x3-array of doubles.

The first index represents the row, the second index the column

## Member Function Documentation

## operator*() [1/2]

vector3 operator* | ( | const vector3 & | v | ) | const

## operator*() [2/2]

transform3d operator* | ( | const transform3d & | t | ) | const

## DescribeAsString()

string DescribeAsString | ( |  | ) | const

Referenced by SpaceGroup::AddTransform().

## DescribeAsValues()

string DescribeAsValues | ( |  | ) | const

## Normalize()

void Normalize | ( |  | ) |

Referenced by transform3d(), transform3d(), and transform3d().

The documentation for this class was generated from the following files:

- transform3d.h
- transform3d.cpp